package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFStepActor;
import com.sa.ibiz.demo.demo.service.dto.WFStepActorSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFStepActor] 服务对象接口
 */
public interface WFStepActorService extends IService<WFStepActor>{

		WFStepActor get(WFStepActor et);
	boolean getDraft(WFStepActor et);
		WFStepActor remindSave(WFStepActor et);
	boolean checkKey(WFStepActor et);
	boolean update(WFStepActor et);
	boolean remove(WFStepActor et);
	boolean create(WFStepActor et);
    List<WFStepActor> listDefault(WFStepActorSearchFilter filter) ;
	Page<WFStepActor> searchDefault(WFStepActorSearchFilter filter);
	/**	 实体[WFStepActor] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }